## javax.xml.validation
Class SchemaFactoryLoader

    java.lang.Object
      javax.xml.validation.SchemaFactoryLoader

public abstract class SchemaFactoryLoader
extends java.lang.Object

Factory that creates `SchemaFactory`.

This class is intended to be used by the implementations of the validation API, not by users.

Since:
  1.5

Constructor Summary
`protected` `SchemaFactoryLoader()` A do-nothing constructor.

Method Summary
`abstract SchemaFactory` `newFactory(java.lang.String schemaLanguage)` Creates a new `SchemaFactory` object for the specified schema language.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaFactoryLoader

    protected SchemaFactoryLoader()

  A do-nothing constructor.

Method Detail

### newFactory

    public abstract SchemaFactory newFactory(java.lang.String schemaLanguage)

  Creates a new `SchemaFactory` object for the specified schema language.

  Parameters:
    `schemaLanguage` - See the list of available schema languages.
  Returns:
    `null` if the callee fails to create one.
  Throws:
    `java.lang.NullPointerException` - If the `schemaLanguage` parameter is null.